      subroutine topexinit
c initialize topex specific constants for reading colinear data base
c  initializes names and record sizes of all files used
      implicit none
      integer*4 nreclephm,nreclmss,nreclsshfl,nrecltime,ncycles
      integer*4 numrevs,nrecldir,nperiod,numrevsp,ncyclesp,nperiodp
      character*80 sshfile,mssfile,flagfile,timefile,ephmfile,
     .   dirfile,errflag
      parameter (numrevsp=127)
      parameter (ncyclesp=364)
      parameter (nperiodp=6800)
      common/cmission/nreclephm,nreclmss,nreclsshfl,nrecltime,
     .  nrecldir,ncycles,numrevs,nperiod
      common/cflag/errflag(16)
      common/cfnamersr/sshfile,mssfile,flagfile,timefile,ephmfile,
     .   dirfile
      save
      data sshfile/
     .'/nexsan1/alt/NASADATA/topex_v91/ssh.dat'/
      data mssfile/
     .'/nexsan1/alt/NASADATA/topex_v91/mss.dat'/
      data flagfile/
     .'/nexsan1/alt/NASADATA/topex_v91/flagword.dat'/
      data timefile/
     .'/nexsan1/alt/NASADATA/topex_v91/time.dat'/
      data ephmfile/
     .'/nexsan1/alt/NASADATA/topex_v91/reforb.dat'/
      data dirfile/ 
     .'/nexsan1/alt/NASADATA/topex_v91/directry.dat'/
      data errflag/' not set so can read as unsigned intEger ',
     .             ' poseidon measurement',
     .             ' depth of ocean < 200 meters ',
     .             ' sigma H of linear fit to 10/sec data > 15 cm',
     .             ' Significant Wave Height > 10 m or < 0 (K band)',
     .             ' Significant Wave Height > 10 m or < 0 (C band)',
     .             ' Sigma0 < 6 db or  > 27 db (K band)',
     .             ' Sigma0 < 11 db or  > 30 db (C band)',
     .             ' Attitude > .45 degrees or < 0',
     . ' AGC > 40 db or < 28 db at latitudes > +/- 55 degrees (K band)',
     . ' AGC > 32 db or < 22 db at latitudes > +/- 55 degrees (C band)',
     .           ' Cross Track Distance > 1.0 km.',
     .  ' Cross Track Slope > 10 cm/km',
     .  ' observation failed edit criteria',
     .  ' observation had undefined correction parameter',
     .  ' ocean tide : Ray model vs UT model > 5.0 cm '/
      nperiod=nperiodp
      ncycles=ncyclesp
      numrevs=numrevsp
      nrecldir=6750*4
      nreclephm=nperiod 
      nreclsshfl=ncycles*2+4 
      nreclmss=nperiod*2 
      nrecltime=20
      end
